Subject: [bug#56433] [PATCH] import: pypi: Add special treatment for Tryton package names,

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Jul 2022 21:54:08 +0200

Hi,

Hartmut Goebel <[email-masked]> skribis:

> AFAIU the „upstream-name“ property changes the name when requesting
> the upstream source or when updating.

The ‘upstream-name’ property establishes a mapping between the package
at hand and its upstream name, overriding guesswork normally done by
importers and updaters.

> This fix works into the opposite direction: it fixes the
> „downstream“-name = the guix package name.
>
> Name at pypi:
>
>  * „normal“ Python package: myCoolModule
>  * Trytond package: trytond-cool_addon.
>
> Name at guix:
>
>  * „normal“ Python package: python-mycoolmodule — “python-” prefix
>  * Trytond package: trytond-cool-addon — no “python-” prefix

Ooh, got it.  So yes, this patch makes sense to me.  (I’m surprised we
decided against the “python-” prefix back then, but that’s history.)

> Looks like this is not clear from the commit message. Does this
> changed message make it clear?

I think the commit message is fine, but…

> Trytond modules are Python packages, and treated like this in guix.
> Anyhow, since they are add-ons for the “Trytond“ application,
> their guix package name do not get the "python-" prefix like other
> Python modules, (see also https://issues.guix.gnu.org/46057#1). This
> change disables
> adding the "python-" prefix to the guix packge name for Trytond modules
> when importing and updating, thus
> inhibiting irritating messages like „consider removing this propagated
> input:
> trytond-party, consider adding this propagated input: python-trytond-party“.

… I’m not sure I fully understand this part: you’re talking about
messages produced by ‘guix refresh’, right?  Do you have the example of
a command that triggers this?

Perhaps you can include that example in the commit message to make
things perfectly clear.

Anyway, LGTM, thanks!

Ludo’.